/*******************************************************************************
 * FoxCameraLensEffect_Spawn generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCameraLensEffect_Spawn extends FoxCameraLensEffect_Base
    hidecategories(Navigation);

var const AkEvent SpawnEvent;

function RegisterCamera(Camera C)
{
    super(EmitterCameraLensEffectBase).RegisterCamera(C);
    // End:0xDA
    if(((BaseCamera != none) && BaseCamera.PCOwner != none) && BaseCamera.PCOwner.Pawn != none)
    {
        BaseCamera.PCOwner.Pawn.PlayAkEvent(SpawnEvent, true);
    }
    //return;    
}

defaultproperties
{
    SpawnEvent=AkEvent'A_Com_Foley.Gameplay_FX.Play_Player_Spawn'
    PS_CameraEffect=ParticleSystem'HUD.FX.PS_SpawnCamFX'
    DistFromCamera=12.0
    begin object name=ParticleSystemComponent0 class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxCameraLensEffect_Spawn.ParticleSystemComponent0'
    ParticleSystemComponent=ParticleSystemComponent0
    begin object name=ParticleSystemComponent0 class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxCameraLensEffect_Spawn.ParticleSystemComponent0'
    Components(0)=ParticleSystemComponent0
}